Bug 870194 - [drm] nouveau 0000:01:00.0: multiple instances of buffer 66 on validation list
[drm] nouveau 0000:01:00.0: multiple instances of buffer 66 on validation list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:9324ca98b190d4a68a40bf48fd6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 15:03 EDT by Andrew Dahl
Modified: 2013-07-31 17:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:56:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-10-25 15:04 EDT, Andrew Dahl
no flags Details
File: Xorg.0.log (61.46 KB, text/plain)
2012-10-25 15:04 EDT, Andrew Dahl
no flags Details
File: dmesg (88.00 KB, text/plain)
2012-10-25 15:04 EDT, Andrew Dahl
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (381 bytes, text/plain)
2012-10-25 15:04 EDT, Andrew Dahl
no flags Details

  None (edit)
Description Andrew Dahl 2012-10-25 15:03:26 EDT
Description of problem:
X has crashed reliably for the last three days in a row.  I haven't been able to determine what causes it, so thus far it seems completely random.

I've a laptop (Lenovo T530) that's docked with two monitors.

The output during the failure from /var/log/messages is as follows:

Oct 25 13:43:23 localhost kernel: [13048.875828] [drm] nouveau 0000:01:00.0: multiple instances of buffer 66 on validation list
Oct 25 13:43:23 localhost kernel: [13048.875844] [drm] nouveau 0000:01:00.0: validate_init
Oct 25 13:43:23 localhost kernel: [13048.875847] [drm] nouveau 0000:01:00.0: validate: -22
Oct 25 13:43:23 localhost kernel: [13048.903763] [drm] nouveau 0000:01:00.0: multiple instances of buffer 66 on validation list
Oct 25 13:43:23 localhost kernel: [13048.903774] [drm] nouveau 0000:01:00.0: validate_init
Oct 25 13:43:23 localhost kernel: [13048.903776] [drm] nouveau 0000:01:00.0: validate: -22
Oct 25 13:43:23 localhost kernel: [13048.919378] [drm] nouveau 0000:01:00.0: multiple instances of buffer 66 on validation list
Oct 25 13:43:23 localhost kernel: [13048.919391] [drm] nouveau 0000:01:00.0: validate_init
Oct 25 13:43:23 localhost kernel: [13048.919394] [drm] nouveau 0000:01:00.0: validate: -22
Oct 25 13:43:23 localhost kernel: [13048.932398] [drm] nouveau 0000:01:00.0: multiple instances of buffer 66 on validation list
Oct 25 13:43:23 localhost kernel: [13048.932411] [drm] nouveau 0000:01:00.0: validate_init
Oct 25 13:43:23 localhost kernel: [13048.932414] [drm] nouveau 0000:01:00.0: validate: -22
Oct 25 13:43:23 localhost kernel: [13048.943793] [drm] nouveau 0000:01:00.0: multiple instances of buffer 66 on validation list
Oct 25 13:43:23 localhost kernel: [13048.943821] [drm] nouveau 0000:01:00.0: validate_init
Oct 25 13:43:23 localhost kernel: [13048.943824] [drm] nouveau 0000:01:00.0: validate: -22
Oct 25 13:43:23 localhost kernel: [13048.951670] [drm] nouveau 0000:01:00.0: PFIFO: read fault at 0x001443c000 [PAGE_NOT_PRESENT] from PGRAPH/GPC0/(unknown enum 0x00000004) on channel 0x0006720000
Oct 25 13:43:23 localhost kernel: [13048.951700] [drm] nouveau 0000:01:00.0: PGRAPH: TRAP ch 3 status 0x01000000
Oct 25 13:43:31 localhost kernel: [13056.901608] [drm] nouveau 0000:01:00.0: PGRAPH: TRAP ch 3 status 0x02000000
Oct 25 13:43:36 localhost kernel: [13061.670038] [drm] nouveau 0000:01:00.0: GPU lockup - switching to software fbcon
Oct 25 13:43:37 localhost abrtd: Directory 'xorg-2012-10-25-13:43:36-7194-1' creation detected
Oct 25 13:43:39 localhost abrtd: Directory 'ccpp-2012-10-25-13:43:36-809' creation detected
Oct 25 13:43:39 localhost abrt[7193]: Saved core dump of pid 809 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-10-25-13:43:36-809 (110870528 bytes)
Oct 25 13:43:39 localhost abrtd: Lock file '/var/spool/abrt/ccpp-2012-10-23-16:51:58-1223/.lock' is locked by process 7193
Oct 25 13:43:40 localhost abrt[7193]: '/var/spool/abrt/ccpp-2012-10-24-11:55:33-5171' is not a problem directory
Oct 25 13:43:41 localhost abrtd: '/var/spool/abrt/xorg-2012-10-24-11:55:34-5208-1' is not a problem directory
Oct 25 13:43:42 localhost abrtd: '/var/spool/abrt/ccpp-2012-10-24-11:55:33-5171' is not a problem directory
Oct 25 13:43:42 localhost abrtd: '/var/spool/abrt/xorg-2012-10-24-11:55:34-5208-1' is not a problem directory
Oct 25 13:43:43 localhost abrtd: '/var/spool/abrt/ccpp-2012-10-24-11:55:33-5171' is not a problem directory
Oct 25 13:43:43 localhost kernel: [13068.442967] [drm] nouveau 0000:01:00.0: Failed to idle channel 1.
Oct 25 13:43:43 localhost abrtd: tar: Removing leading `/' from member names
Oct 25 13:43:43 localhost abrtd: tar: Removing leading `/' from member names
Oct 25 13:43:44 localhost abrtd: '/var/spool/abrt/xorg-2012-10-24-11:55:34-5208-1' is not a problem directory
Oct 25 13:43:44 localhost abrtd: '/var/spool/abrt/ccpp-2012-10-24-11:55:33-5171' is not a problem directory
Oct 25 13:43:44 localhost abrtd: New problem directory /var/spool/abrt/xorg-2012-10-25-13:43:36-7194-1, processing
Oct 25 13:43:45 localhost kernel: [13070.438065] [drm] nouveau 0000:01:00.0: PFIFO - playlist update failed
Oct 25 13:43:45 localhost abrtd: '/var/spool/abrt/xorg-2012-10-24-11:55:34-5208-1' is not a problem directory
Oct 25 13:43:46 localhost abrtd: '/var/spool/abrt/ccpp-2012-10-24-11:55:33-5171' is not a problem directory
Oct 25 13:43:46 localhost abrOct 25 13:44:31 localhost kernel: imklog 5.8.10, log source = /proc/kmsg started.



Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-2.fc17

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
kernel:         3.6.2-4.fc17.x86_64

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x36) [0x4652d6]
:1: /usr/bin/X (0x400000+0x6a2b9) [0x46a2b9]
:2: /lib64/libpthread.so.0 (0x37ade00000+0xefe0) [0x37ade0efe0]
:3: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f89574ca000+0x606a) [0x7f89574d006a]
:4: /usr/lib64/xorg/module
Comment 1 Andrew Dahl 2012-10-25 15:04:03 EDT
Created attachment 633503 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Andrew Dahl 2012-10-25 15:04:06 EDT
Created attachment 633504 [details]
File: Xorg.0.log
Comment 3 Andrew Dahl 2012-10-25 15:04:08 EDT
Created attachment 633505 [details]
File: dmesg
Comment 4 Andrew Dahl 2012-10-25 15:04:10 EDT
Created attachment 633506 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 5 Fedora End Of Life 2013-07-03 17:07:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 17:56:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.